Bug 904351 - Provide keystone man page for the command line interface.
Provide keystone man page for the command line interface.
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-keystoneclient (Show other bugs)
2.1
Unspecified Unspecified
medium Severity low
: snapshot2
: 3.0
Assigned To: Jakub Ruzicka
Martin Pavlásek
: Triaged
Depends On:
Blocks: 903322
  Show dependency treegraph
 
Reported: 2013-01-26 08:22 EST by Stephen Gordon
Modified: 2016-04-26 15:03 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-keystoneclient-0.2.3-2.el6ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 903322
Environment:
Last Closed: 2013-06-12 12:42:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screwed text in keystone manpage (21.75 KB, image/png)
2013-05-28 11:19 EDT, Pavel Sedlák
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 20976 None None None Never

  None (edit)
Comment 1 Adam Young 2013-02-01 00:25:30 EST
The docs are currently in:

However there is no man subdir, which where the man pages are for eg. Keystone:

https://github.com/openstack/keystone/tree/master/doc/source/man


https://github.com/openstack/python-keystoneclient/tree/master/doc/source
Comment 2 Adam Young 2013-02-01 09:51:32 EST
Started an upstream review on the master branch.

https://review.openstack.org/20976
Comment 4 Alan Pevec 2013-03-15 11:16:59 EDT
Work continues upstream to auto-generate man page from command line help (help2rst script), included here for the product is raw help2man generated manpage.
Comment 6 Pavel Sedlák 2013-03-20 10:19:27 EDT
Partialy ok:
- there is no man page in python-keystoneclient-0.2.0-1.el6ost
- man page is present in python-keystoneclient-0.2.0-4.el6ost

Man pages corresponds with keystone help.

Except that description of 'discover' action is not complete.
Probably related to bug 888572.

------ snippet of `man keystone`
       user-update
              Update user’s name, email, and enabled status

       discover
              Discover Keystone servers and show authentication protocols and

       bootstrap
              Grants a new role to a new user on a new tenant, after creating each.
------

Compare with:

------ snippet of `keystone help`
    user-update         Update user's name, email, and enabled status
    discover            Discover Keystone servers, supported API versions and
                        extensions.
    bootstrap           Grants a new role to a new user on a new tenant, after
                        creating each.
------
Comment 13 Lon Hohberger 2013-05-23 15:25:08 EDT
I see a keystone man page:

[root@localhost ~]# rpm -ql python-keystoneclient | grep man
/usr/share/man/man1/keystone.1.gz
[root@localhost ~]# man keystone | head -1
KEYSTONE(1)                      User Commands                     KEYSTONE(1)
Comment 14 Pavel Sedlák 2013-05-28 11:19:41 EDT
Created attachment 753954 [details]
Screwed text in keystone manpage

The text in current manpage in python-keystoneclient-0.2.3-1.el6ost is really screwed up.

Lot of action/description pairs and whole lines are merged together to one big block of text. See the screenshot.
Comment 18 Jakub Ruzicka 2013-05-30 11:22:10 EDT
I replaced the broken help2man generated man page with a hand crafted one that is likely to be merged into upstream soon:

https://bugs.launchpad.net/python-keystoneclient/+bug/1185142
Comment 20 Martin Pavlásek 2013-06-06 07:39:54 EDT
Broken content in man pages has been fixed according to gerrit.
Comment 21 Martin Pavlásek 2013-06-06 17:28:16 EDT
I'd like to correct myself: The content has been sucessfully fixed in package python-keystoneclient-0.2.3-2.el6ost (as same as it is on gerrit #20976)
Comment 23 errata-xmlrpc 2013-06-12 12:42:52 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0944.html

Note You need to log in before you can comment on or make changes to this bug.